Redmine - Feature #242

Allow user to edit own custom fields + user search
2007-12-19 13:17 - Ron Monson

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Custom fields Estimated time: 0.00 hour

Target version:

Resolution:

Description

Allow users to edit their own custom fields and implement a "directory" feature utilizing the existing search
functionality.

This patch works to my liking but keep in mind that it comes from a Java Architect who is just a Ruby newbie ;)

Related issues:

Related to Redmine - Feature #1447: Resource management Closed 2008-06-13
Related to Redmine - Feature #524: Allow users to edit own custom fields and ... Closed

Related to Redmine - Feature #7484: User search for non-admins New 2011-01-28
Has duplicate Redmine - Feature #1377: Advanded User Profile Closed 2008-06-04

Associated revisions

Revision 2276 - 2009-01-17 12:18 - Jean-Philippe Lang

User custom fields can now be set as editable so that users can edit them on 'My account'.
For existing user custom fields, this new attribute is set to false by default to preserve the prior behaviour (it can turned on by editing the custom field
in admin area).

Note: on the registration form, required custom fields will be displayed even if they are not defined as editable so that the account can be created.

History

#1 - 2008-03-27 18:17 - Jos Yule
This is related to Feature Request #524

#2 - 2008-06-14 00:07 - Yanoksy Durafiona Yero
Also related to Feature Request #1447

#3 - 2009-01-17 12:20 - Jean-Philippe Lang

Allow users to edit their own custom fields

Done in r2276. Custom fields can be set or not as editable.

#4 - 2010-05-16 00:24 - Felix Schéfer

- Category set to Custom fields

User custom fields are not yet searchable.

#5 - 2016-09-15 11:37 - Toshi MARUYAMA
- Tracker changed from Patch to Feature

- Subject changed from Patch for Feature 16437 - Allow user to edit own custom fields + user search to Allow user to edit own custom fields + user
search

#6 - 2016-09-15 11:40 - Toshi MARUYAMA
- Related to deleted (Feature #1377: Advanded User Profile)
https://www.redmine.org/issues/524
https://www.redmine.org/issues/1447
https://www.redmine.org/projects/redmine/repository/svn/revisions/2276

#7 - 2016-09-15 11:40 - Toshi MARUYAMA
- Has duplicate Feature #1377: Advanded User Profile added

Files

SearchAndEditUsers.patch 6.29 KB 2008-02-03 Ron Monson

2025-07-11 22


http://www.tcpdf.org

